<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <title>HTML Attributes and Links</title>
  </head>

  <body>
    <!-- h2 tag will create a heading on our webpage. -->
    <!-- The id attribute assigns a unique name identifier -->
    <h2 align="center" id="top">HTML Attributes</h2>

    <!-- align attribute - changes the alignment of the paragraph -->
    <p align="center"><em>Modifiers of element behaviors.</em></p>

    <h2>HTML Images</h2>
    <!-- &lt and &gt; are called HTML entities. They are used to include special characters into text. Some characters used in HTML are as part of the code. -->
    <p align="right">
      <em
        >An image can be shown using &lt;img&gt; tag aslong with its
        <strong>src</strong> attribute</em
      >
    </p>
    <hr />

    <!-- img tag is used to include images. img tag creates inline elements -->
    <!-- src attribute accepts a url from and online or offline resource. -->
    <img src="https://place-puppy.com/300x300" alt="Sitting dog" />

    <p>
      <!-- code tag is used to define a piece of computer code and displays text in browser using it's default monospace font. -->
      <code> &lt;img src="https://place-puppy.com/300x300" /&gt; </code>
    </p>
    <hr />

    <!-- In src attribut, we use relative linking. -->
    <img src="./images/zuittlogo.png" alt="" />

    <p>
      <!-- code tag is used to define a piece of computer code and displays text in browser using it's default monospace font. -->
      <code> &lt;img src="./images/zuittlogo.png" /&gt; </code>
    </p>
    <hr />

    <p>Valid image extensions are the following:</p>
    <!-- type attribute changes the numbered points of the elements. The default type is the integer number. Types: 1, a, A, i, I -->
    <!-- The reversed attribute reverses the order of the ordered list -->
    <ol type="I" reversed>
      <li>png</li>
      <li>jpg</li>
      <li>gif</li>
      <li>svg</li>
      <li>webp</li>
    </ol>

    <h2>HTML Links</h2>

    <h4>Absolute Link</h4>
    <!-- a tag creates a hyperlink element when clicked will redirect to a different page. It is example of inline tag -->
    <!-- href attribute mens "hypertext reference" which is used to create a link to different page. -->
    <!-- target = "_blank" - to open new tab for absolute link. -->
    <a href="https://zuitt.co/" target="_blank">Zuitt hyperlink</a>

    <h4>Relative Linking</h4>
    <ul>
      <!-- This hyperlink will direct you to link.html -->
      <li>Hyperlink going to the <a href="./link.html">link.html</a> page</li>

      <!-- This hyperlink will direct you to images.html -->
      <li>Go to <a href="./images/images.html">images.html</a> page</li>
    </ul>

    <!-- Go to using ID attribute -->
    <li>Go to <a href="#top">top</a></li>
  </body>
</html>
